%if 0%{?!ruby:1}
%define ruby     ruby%{?rver:-%{rver}}
%endif
%define lib      stringio
%define version  0.0.6
%define libname  %{lib}
%define subdir   /
%define rbindir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["bindir"]')
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["sitedir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'include Config;print CONFIG["sitearchdir"]||CONFIG["sitedir"]+"/"+CONFIG["MAJOR"]+"."+CONFIG["MINOR"]+"/"+CONFIG["arch"]')
%define topdir   ruby-%{libname}-%{version}%{subdir}
%define _docdir  %{_defaultdocdir}/ruby
%define docdir   %{_docdir}/%{libname}-%{version}
%if %{?rver:"%{_arch}" == "noarch"}%{?!rver:1}
%define docs     ChangeLog README TestStringIO.rb
%endif

Summary: Ruby extension library of pseudo IO class to/from String
Name: %{ruby}-%{libname}
Version: %{version}
Release: %{?release}%{!?release:0}
URL: http://ruby-lang.org
Source0: %{?srcdir:/}%{?!srcdir:ruby-%{libname}-%{version}.tar.bz2}
NoSource: 0
License: Ruby's
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %(%{ruby} -r rbconfig -e 'print Config::CONFIG["prefix"]')
Requires: ruby >= 1.4
Summary(ja): StringФϤ뵿IO饹Rubyĥ饤֥

%description
This package provides a extension library for Ruby of pseudo IO class
to/from String.

%prep
[ -d %{ruby}/%{topdir} ] && rm -fr %{ruby}/%{topdir}
%setup %{?srcdir:-T} -D -c -q -n %{ruby}
mkdir -p %{topdir}
cd %{topdir}
%ifnarch noarch
%{ruby} %{?srcdir}%{?srcdir:/}extconf.rb
%endif

%build
cd %{topdir}
%ifnarch noarch
make
%endif

%install
cd %{topdir}
rm -rf $RPM_BUILD_ROOT
%ifnarch noarch
make sitearchdir=${RPM_BUILD_ROOT}%{rarchdir} site-install
%endif
%if 0%{?docs:1}
%{?srcdir:cd %{srcdir}}
mkdir -p ${RPM_BUILD_ROOT}%{docdir}
cp -pr %{docs} ${RPM_BUILD_ROOT}%{docdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%ifnarch noarch
%{rarchdir}/%{lib}.so
%endif
%if 0%{?docs:1}
%doc %{docdir}
%endif

%changelog
* Thu Mar 14 2002 Nobuyoshi Nakada <nobu.nakada@nifty.ne.jp>

- fixed frozen string bug.

- ungetc no longer raises on readonly stream unless modifies actually.

* Wed Feb 20 2002 Nobuyoshi Nakada <nobu.nakada@nifty.ne.jp>
- may separate system dependent/independent part.

* Wed Feb 20 2001 Nobuyoshi Nakada <nobu.nakada@nifty.ne.jp>
- Initial build.


